curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "<string>",
"environmentId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}List workspaces the caller can read.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "<string>",
"environmentId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
Filter workspaces by cluster ID.
Filter workspaces by exact name match.
Filter workspaces by FQN.
When true, each workspace in the response includes summary information about its cluster.
Was this page helpful?